KNIFE-INDEX(1)

NAME
knife-index - Rebuild the search index on a Chef Server

SYNOPSIS
knife index rebuild (options)

-y, --yes
    don't bother to ask if I'm sure

DESCRIPTION
Rebuilds all the search indexes on the server. This is accomplished by deleting all objects from the search index, and then forwarding each item in the database to chef-expander(8) via rabbitmq-server(1). Depending on the number of objects in the database, it may take some time for all objects to be indexed and available for search.

SEE ALSO
knife-search(1)

AUTHOR
Chef was written by Adam Jacob adam@opscode.com with many contributions from the community.

DOCUMENTATION
This manual page was written by Joshua Timberman joshua@opscode.com. Permission is granted to copy, distribute and / or modify this document under the terms of the Apache 2.0 License.

CHEF
Knife is distributed with Chef. http://wiki.opscode.com/display/chef/Home